"use strict";

$(function ()
{
	var itemValues, backupValues = {};
	var $display = $("#display"), $editor = $("#editor");

	function ItemValues()
	{
		var names = ["Bread Crumbs", "Cigar ash", "Fresh Air", "Decency"]

		this.Name = ko.observable(names[Math.floor(Math.random() * 5)]);
		this.Price = ko.observable(Math.ceil(Math.random() * 10000) / 100);
		this.Available = ko.observable(Math.ceil(Math.random() * 10000));
	}

	itemValues = new ItemValues();

	ko.applyBindings(itemValues, document.getElementById("display"))
	ko.applyBindings(itemValues, document.getElementById("editor"))



	$("header > h1 > span").text(location.search.match(/id=(\d+)/i)[1]);

	$("#btnEdit").click(function (event)
	{
		backupValues.Name = ko.unwrap(itemValues.Name);
		backupValues.Price = ko.unwrap(itemValues.Price);
		backupValues.Available = ko.unwrap(itemValues.Available);

		$display.hide();
		$editor.show();

		event.preventDefault();
	});

	$("#btnSave").click(function (event)
	{
		$display.show();
		$editor.hide();

		event.preventDefault();
	});

	$("#btnCancel").click(function (event)
	{
		itemValues.Name(backupValues.Name);
		itemValues.Price(backupValues.Price);
		itemValues.Available(backupValues.Available);

		$display.show();
		$editor.hide();

		event.preventDefault();
	});
});
